Your submission was sent successfully! Close

USN-2454-1: Exiv2 vulnerability

7 January 2015

Exiv2 could be made to crash if it opened a specially crafted file.

Releases

Packages

  • exiv2 - EXIF/IPTC metadata manipulation tool

Details

It was discovered that Exiv2 incorrectly handled certain tag values in
video files. If a user or automated system were tricked into opening a
specially-crafted video file, a remote attacker could cause Exiv2 to crash,
resulting in a denial of service.

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 14.10

In general, a standard system update will make all the necessary changes.

References